.selectable-vector-tiles {
}

.map-overlay.hover-overlay,
.map-overlay.selected-overlay {
  width: 0;
  height: 0;
  overflow: visible;

  padding-bottom: 0;

  .hover-icon {
    position: relative;
    cursor: pointer;
    transition: all 0.2s ease-out, opacity 0.2s ease-out;
    background: rgba(var(--bs-white-rgb), 1);
    border: 1px solid rgba(var(--bs-gray-600-rgb), 1);
    border-radius: 100%;

    transform: translate(0, 0);
    opacity: 0;

    width: 0;
    height: 0;
    top: 0;
    left: 0;

    &.is-active {
      border-color: rgba(var(--bs-gray-800-rgb), 1);
      pointer-events: none;
    }
  }

  .icon-image {
    width: 70%;
    height: 70%;
    position: absolute;
    top: 15%;
    left: 15%;
  }
}
